Bug 14474 - Configure GUI Editing workspace using xml layers
Configure GUI Editing workspace using xml layers
Status: VERIFIED FIXED
Product: guibuilder
Classification: Unclassified
Component: Code
3.x
PC All
: P1 (vote)
: 3.x
Assigned To: issues@guibuilder
issues@guibuilder
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-16 11:05 UTC by David Simonek
Modified: 2001-09-27 09:21 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Simonek 2001-08-16 11:05:04 UTC
With new approach of loading and initializing workspaces, there's urgent need
for your module to configure its workspace using xml layers. In current state,
Form workspace will not show during first start, because its creation was
hardcoded in core classes.

Things that will help you to get this feature done:
1) We prepared migration guide - please read through it
http://core.netbeans.org/windowsystem/MigrationGuide.html

 2) Check out org/netbeans/core/resources directory from branch
workspace_layers_august01, you'll have example of how to specify winsys xml layer

3) Warning - ordering doesn't work well yet, expect minor! changes in xml
format, optional element and attribute "order-weight" will dissapear and will be
replaced by regular order specification in layers
Comment 1 David Simonek 2001-08-16 11:10:47 UTC
4) refer to following issue to see how your workspace should look like
in MDI from UI group perspective
http://www.netbeans.org/issues/show_bug.cgi?id=12003 
Comment 2 Josef Kozak 2001-09-12 17:07:26 UTC
I think we have already done all stuff around xml layers. If we 
something missed, please reopen. The only thing we will change are 
values of positions and sizes of components to optimizing workspace 
for lower resolution.

::: fixed in dev
Comment 3 Marian Mirilovic 2001-09-27 09:21:42 UTC
verified in [nb_dev](20010927)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo